import { onMounted, reactive } from 'vue'

export default function () {
  const totalSummary = reactive({
    TotalSales: 0,
    // 其他需要显示的合计数据
  })

  // 定义合计数据的对象，键是字段名，值是处理逻辑
  const summaryFormats = {
    TotalSales: value => `$${value}`, // 格式化为货币格式
    TotalOrderItems: (value) => `${value}`,
    TotalUnitOrdered: (value) => `${value}`,
    SAP: (value) => `${value}`,
    TotalAdSales: (value) => `${value}`,
    TotalAdSalesSameSKU: (value) => `${value}`,
    TotalAdPurchases: (value) => `${value}`,
    TotalAdPurchasesSameSKU: (value) => `${value}`,
    TotalAdUnitOrdered: (value) => `${value}`,
    TotalAdUnitOrderedSameSKU: (value) => `${value}`,
    Spend: (value) => `${value}`,
    ACOS: (value) => `${value}`,
    ROAS: (value) => `${value}`,
    TACOS: (value) => `${value}`,
    CR: (value) => `${value}`,
    CTR: (value) => `${value}`,
    CPC: (value) => `${value}`,
    CPO: (value) => `${value}`,
    CPA: (value) => `${value}`,
    Impression: (value) => `${value}`,
    Click: (value) => `${value}`,
    ProductCr: (value) => `${value}`,
    BuyBoxPercentage: (value) => `${value}`,
    Sessions: (value) => `${value}`,
    PageViews: (value) => `${value}`,
    // FBAQuantity: (value) => `${value}`,
    // FBMQuantity: (value) => `${value}`,
  }

  return { totalSummary, summaryFormats }
}
